import mongoose, { Document } from 'mongoose';
import { Artifact } from './artifact.schema';
import { LanguageSupport } from './language-support.schema';
import { LocalizedAppData } from './localized-app-data.schema';
import { MediaLink } from './media-link.schema';
import { Organization } from './organization.schema';
import { PlatformSupport } from './platform-support.schema';
import { PlayMode } from './play-mode';
import { Price } from './price.schema';
import { ProvisioningMethod } from './provisioning-method';
import { Tag } from './tag.schema';
export type AppDocument = App & Document;
export declare class App {
    id?: string;
    playFabId?: string;
    slug?: string;
    artifacts: Artifact[];
    active: boolean;
    localizations: LocalizedAppData[];
    provisioning: ProvisioningMethod;
    tags: Tag[];
    releasedOn: Date;
    mediaLinks: MediaLink[];
    languages: LanguageSupport[];
    modes: PlayMode[];
    prices: Price[];
    free: boolean;
    platforms: PlatformSupport[];
    developer: Organization;
    publisher: Organization;
    createdAt?: Date;
    updatedAt?: Date;
}
export declare const AppSchema: mongoose.Schema<App, mongoose.Model<App, any, any, any, any>, {}, {}, {}, {}, mongoose.DefaultSchemaOptions, App>;
